\timing 
set search_path to mobile;
select 'cdma';

create table metric_curr_cdmacelllocation as (with metric as( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_cdmacelllocation  order by submission_id, localdtime) select m.submission_id , m.localdtime , retr_seconds (m.localdtime) - lag (retr_seconds (m.localdtime)) over (partition by m.submission_id order by  m.metric_order) as lead, m.metric_order as metric_order  from metric m);

select 'gsm';
create table metric_curr_gsmcelllocation as (with metric as( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_gsmcelllocation  order by submission_id, localdtime) select m.submission_id , m.localdtime , retr_seconds (m.localdtime) - lag (retr_seconds (m.localdtime)) over (partition by m.submission_id order by  m.metric_order) as lead, m.metric_order as metric_order  from metric m);

select 'locl';
create table metric_curr_location as (with metric as( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_location  order by submission_id, localdtime) select m.submission_id , m.localdtime , retr_seconds (m.localdtime) - lag (retr_seconds (m.localdtime)) over (partition by m.submission_id order by  m.metric_order) as lead, m.metric_order as metric_order ,  (((   ST_Distance(l.geom , lag (l.geom ) over (partition by l.submission_id order by   metric_order) )  ))) as separation_distance   from metric m inner join curr_location l on m.submission_id = l.submission_id and m.localdtime = l.localdtime);


select 'netuse';
create table metric_curr_netusage as (with metric as( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_netusage  order by submission_id, localdtime) select m.submission_id , m.localdtime , retr_seconds (m.localdtime) - lag (retr_seconds (m.localdtime)) over (partition by m.submission_id order by  m.metric_order) as lead, m.metric_order as metric_order  from metric m);

select 'networkdata';
create table metric_networkdata as (with metric as( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_networkdata  order by submission_id, localdtime) select m.submission_id , m.localdtime , retr_seconds (m.localdtime) - lag (retr_seconds (m.localdtime)) over (partition by m.submission_id order by  m.metric_order) as lead, m.metric_order as metric_order  from metric m);


