select '2013';


\copy  (with metric as ( select distinct l.submission_id , l.localdtime , row_number() over (partition by l.submission_id  order by l.localdtime) as metric_order from  curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id    where extract (year from l.localdtime) = 2013   and retr_quarter(l.localdtime) = 4 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order, (((   ST_Distance(l.geom , lag (l.geom ) over (partition by l.submission_id order by   metric_order) )  ))) as separation_distance, metric, source, accuracy, cma_id  from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  and retr_quarter(l.localdtime) = 4) to curr_location_export-2013Q4.csv csv header 

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  and retr_quarter(l.localdtime) = 4) to curr_location_export-2013Q4.csv csv header 


select '2014';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2014  and retr_quarter(l.localdtime) = 1) to curr_location_export-2014Q1.csv csv header 

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2014  and retr_quarter(l.localdtime) = 2) to curr_location_export-2014Q2.csv csv header 

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2014  and retr_quarter(l.localdtime) = 3) to curr_location_export-2014Q3.csv csv header 

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime      where extract (year from l.localdtime) = 2014  and retr_quarter(l.localdtime) = 4) to curr_location_export-2014Q4.csv csv header 


select '2015';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2015  and retr_quarter(l.localdtime) = 1) to curr_location_export-2015Q1.csv csv header 

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2015  and retr_quarter(l.localdtime) = 2) to curr_location_export-2015Q2.csv csv header 

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2015  and retr_quarter(l.localdtime) = 3) to curr_location_export-2015Q3.csv csv header 

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime      where extract (year from l.localdtime) = 2015  and retr_quarter(l.localdtime) = 4) to curr_location_export-2015Q4.csv csv header 



select '2016';


\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2016  and retr_quarter(l.localdtime) = 1) to curr_location_export-2016Q1.csv csv header 

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2016  and retr_quarter(l.localdtime) = 2) to curr_location_export-2016Q2.csv csv header 







