\timing on
select ' curr_cpuactivity ';

\copy (select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date  ,  success , max_average , read_average from curr_submission_primarykey_clean p  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_cpuactivity_export-2013.csv csv header

select 'curr_datacap';

\copy ( select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date ,  success  from curr_submission_primarykey_clean p  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_datacap_export-2013.csv csv header

select 'curr_httpget';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success     ,  target , ipaddress  , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from curr_submission_primarykey_clean p  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013   and p.submission_id not in (select submission_id from pr_exclude_active_get2 ) ) to curr_httpget_export-2013.csv csv header

select 'curr_httppost';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success     ,  target , ipaddress  , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from curr_submission_primarykey_clean p  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013   and p.submission_id not in (select submission_id from pr_exclude_active_post2 ) ) to curr_httppost_export-2013.csv csv header

select 'curr_netactivity';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from curr_submission_primarykey_clean p  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_netactivity_export-2013.csv csv header

select 'curr_submission';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,   enterprise_id , schedule_config_version , sim_operator_code   , submission_type        , timezone , app_version_code    , app_version_name    , tests , metrics , conditions , os_type , os_version , model , manufacturer   from curr_submission_primarykey_clean p  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_submission_export-2013.csv csv header

select 'curr_udplatency';

\copy  (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date, target , ipaddress, rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from curr_submission_primarykey_clean p  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013   and p.submission_id not in (select submission_id from pr_exclude_active_udp2 ) ) to curr_udplatency_export-2013.csv csv header

select 'curr_cdmacelllocation';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead, m.metric_order,  metric   , ecio, dbm  from curr_submission_primarykey_clean p  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2013  ) to curr_cdmacelllocation_export-2013.csv csv header

select 'curr_gsmcelllocation';

\copy (  select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , signal_strength, umts_psc from curr_submission_primarykey_clean p  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2013  ) to curr_gsmcelllocation_export-2013.csv csv header

select 'curr_netusage';

\copy (  select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from curr_submission_primarykey_clean p  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage m on p.submission_id = m.submission_id and    l.localdtime = m.localdtime where extract (year from l.localdtime) = 2013  ) to curr_netusage_export-2013.csv csv header


select 'curr_location';



\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id    from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime      where extract (year from l.localdtime) = 2013  and retr_quarter(l.localdtime) = 4) to curr_location_export-2013Q4.csv csv header 

Select 'curr_networkdata';




\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013 and retr_quarter(l.localdtime) = 4) to curr_networkdata_export-2013Q4.csv csv header


select ' curr_cpuactivity ';

\copy (select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date  ,  success , max_average , read_average from curr_submission_primarykey_clean p  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_cpuactivity_export-2014.csv csv header

select 'curr_datacap';

\copy ( select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date ,  success  from curr_submission_primarykey_clean p  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_datacap_export-2014.csv csv header

select 'curr_httpget';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success     ,  target , ipaddress  , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from curr_submission_primarykey_clean p  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014   and p.submission_id not in (select submission_id from pr_exclude_active_get2 ) ) to curr_httpget_export-2014.csv csv header

select 'curr_httppost';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success     ,  target , ipaddress  , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from curr_submission_primarykey_clean p  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014   and p.submission_id not in (select submission_id from pr_exclude_active_post2 ) ) to curr_httppost_export-2014.csv csv header

select 'curr_netactivity';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from curr_submission_primarykey_clean p  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_netactivity_export-2014.csv csv header

select 'curr_submission';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,   enterprise_id , schedule_config_version , sim_operator_code   , submission_type        , timezone , app_version_code    , app_version_name    , tests , metrics , conditions , os_type , os_version , model , manufacturer   from curr_submission_primarykey_clean p  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_submission_export-2014.csv csv header

select 'curr_udplatency';

\copy  (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date, target , ipaddress, rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from curr_submission_primarykey_clean p  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014   and p.submission_id not in (select submission_id from pr_exclude_active_udp2 ) ) to curr_udplatency_export-2014.csv csv header

select 'curr_cdmacelllocation';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead, m.metric_order,  metric   , ecio, dbm  from curr_submission_primarykey_clean p  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2014  ) to curr_cdmacelllocation_export-2014.csv csv header

select 'curr_gsmcelllocation';

\copy (  select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , signal_strength, umts_psc from curr_submission_primarykey_clean p  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2014  ) to curr_gsmcelllocation_export-2014.csv csv header

select 'curr_netusage';

\copy (  select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from curr_submission_primarykey_clean p  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage m on p.submission_id = m.submission_id and    l.localdtime = m.localdtime where extract (year from l.localdtime) = 2014  ) to curr_netusage_export-2014.csv csv header


select 'curr_location';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2014  and retr_quarter(l.localdtime) = 1) to curr_location_export-2014Q1.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2014  and retr_quarter(l.localdtime) = 2) to curr_location_export-2014Q2.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2014  and retr_quarter(l.localdtime) = 3) to curr_location_export-2014Q3.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime      where extract (year from l.localdtime) = 2014  and retr_quarter(l.localdtime) = 4) to curr_location_export-2014Q4.csv csv header

Select 'curr_networkdata';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014 and retr_quarter(l.localdtime) = 1) to curr_networkdata_export-2014Q1.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014 and retr_quarter(l.localdtime) = 2) to curr_networkdata_export-2014Q2.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014 and retr_quarter(l.localdtime) = 3) to curr_networkdata_export-2014Q3.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014 and retr_quarter(l.localdtime) = 4) to curr_networkdata_export-2014Q4.csv csv header


select ' curr_cpuactivity ';

\copy (select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date  ,  success , max_average , read_average from curr_submission_primarykey_clean p  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_cpuactivity_export-2015.csv csv header

select 'curr_datacap';

\copy ( select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date ,  success  from curr_submission_primarykey_clean p  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_datacap_export-2015.csv csv header

select 'curr_httpget';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success     ,  target , ipaddress  , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from curr_submission_primarykey_clean p  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   and p.submission_id not in (select submission_id from pr_exclude_active_get2 ) ) to curr_httpget_export-2015.csv csv header

select 'curr_httppost';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success     ,  target , ipaddress  , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from curr_submission_primarykey_clean p  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   and p.submission_id not in (select submission_id from pr_exclude_active_post2 ) ) to curr_httppost_export-2015.csv csv header

select 'curr_netactivity';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from curr_submission_primarykey_clean p  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_netactivity_export-2015.csv csv header

select 'curr_submission';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,   enterprise_id , schedule_config_version , sim_operator_code   , submission_type        , timezone , app_version_code    , app_version_name    , tests , metrics , conditions , os_type , os_version , model , manufacturer   from curr_submission_primarykey_clean p  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_submission_export-2015.csv csv header

select 'curr_udplatency';

\copy  (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date, target , ipaddress, rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from curr_submission_primarykey_clean p  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   and p.submission_id not in (select submission_id from pr_exclude_active_udp2 ) ) to curr_udplatency_export-2015.csv csv header

select 'curr_cdmacelllocation';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead, m.metric_order,  metric   , ecio, dbm  from curr_submission_primarykey_clean p  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2015  ) to curr_cdmacelllocation_export-2015.csv csv header

select 'curr_gsmcelllocation';

\copy (  select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , signal_strength, umts_psc from curr_submission_primarykey_clean p  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2015  ) to curr_gsmcelllocation_export-2015.csv csv header

select 'curr_netusage';

\copy (  select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from curr_submission_primarykey_clean p  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage m on p.submission_id = m.submission_id and    l.localdtime = m.localdtime where extract (year from l.localdtime) = 2015  ) to curr_netusage_export-2015.csv csv header


select 'curr_location';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2015  and retr_quarter(l.localdtime) = 1) to curr_location_export-2015Q1.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2015  and retr_quarter(l.localdtime) = 2) to curr_location_export-2015Q2.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2015  and retr_quarter(l.localdtime) = 3) to curr_location_export-2015Q3.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime      where extract (year from l.localdtime) = 2015  and retr_quarter(l.localdtime) = 4) to curr_location_export-2015Q4.csv csv header

Select 'curr_networkdata';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015 and retr_quarter(l.localdtime) = 1) to curr_networkdata_export-2015Q1.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015 and retr_quarter(l.localdtime) = 2) to curr_networkdata_export-2015Q2.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015 and retr_quarter(l.localdtime) = 3) to curr_networkdata_export-2015Q3.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015 and retr_quarter(l.localdtime) = 4) to curr_networkdata_export-2015Q4.csv csv header


select ' curr_cpuactivity ';

\copy (select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date  ,  success , max_average , read_average from curr_submission_primarykey_clean p  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_cpuactivity_export-2016.csv csv header

select 'curr_datacap';

\copy ( select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date ,  success  from curr_submission_primarykey_clean p  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_datacap_export-2016.csv csv header

select 'curr_httpget';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success     ,  target , ipaddress  , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from curr_submission_primarykey_clean p  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016   and p.submission_id not in (select submission_id from pr_exclude_active_get2 ) ) to curr_httpget_export-2016.csv csv header

select 'curr_httppost';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success     ,  target , ipaddress  , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from curr_submission_primarykey_clean p  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016   and p.submission_id not in (select submission_id from pr_exclude_active_post2 ) ) to curr_httppost_export-2016.csv csv header

select 'curr_netactivity';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from curr_submission_primarykey_clean p  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_netactivity_export-2016.csv csv header

select 'curr_submission';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,   enterprise_id , schedule_config_version , sim_operator_code   , submission_type        , timezone , app_version_code    , app_version_name    , tests , metrics , conditions , os_type , os_version , model , manufacturer   from curr_submission_primarykey_clean p  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_submission_export-2016.csv csv header

select 'curr_udplatency';

\copy  (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date, target , ipaddress, rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from curr_submission_primarykey_clean p  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016   and p.submission_id not in (select submission_id from pr_exclude_active_udp2 ) ) to curr_udplatency_export-2016.csv csv header

select 'curr_cdmacelllocation';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead, m.metric_order,  metric   , ecio, dbm  from curr_submission_primarykey_clean p  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2016  ) to curr_cdmacelllocation_export-2016.csv csv header

select 'curr_gsmcelllocation';

\copy (  select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , signal_strength, umts_psc from curr_submission_primarykey_clean p  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2016  ) to curr_gsmcelllocation_export-2016.csv csv header

select 'curr_netusage';

\copy (  select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from curr_submission_primarykey_clean p  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage m on p.submission_id = m.submission_id and    l.localdtime = m.localdtime where extract (year from l.localdtime) = 2016  ) to curr_netusage_export-2016.csv csv header


select 'curr_location';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2016  and retr_quarter(l.localdtime) = 1) to curr_location_export-2016Q1.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order, m.separation_distance, metric, source, accuracy, cma_id                     from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location m on p.submission_id = m.submission_id and l.localdtime = m.localdtime where extract (year from l.localdtime) = 2016  and retr_quarter(l.localdtime) = 2) to curr_location_export-2016Q2.csv csv header


Select 'curr_networkdata';

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016 and retr_quarter(l.localdtime) = 1) to curr_networkdata_export-2016Q1.csv csv header

\copy ( select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , m.lead , m.metric_order,  metric   , connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,         cell               ,  cma_id         from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016 and retr_quarter(l.localdtime) = 2) to curr_networkdata_export-2016Q2.csv csv header





